Index: CKEditor/trunk/_source/core/ckeditor_base.js
===================================================================
--- CKEditor/trunk/_source/core/ckeditor_base.js	(revision 3476)
+++ CKEditor/trunk/_source/core/ckeditor_base.js	(revision 3477)
@@ -50,5 +50,5 @@
 
 			/**
-			 * Contains the CKEditor version number. 
+			 * Contains the CKEditor version number.
 			 * @type String
 			 * @example
@@ -59,5 +59,5 @@
 			/**
 			 * Contains the CKEditor revision number.
-			 * Revision number is incremented automatically after each modification of CKEditor source code. 
+			 * Revision number is incremented automatically after each modification of CKEditor source code.
 			 * @type String
 			 * @example
Index: CKEditor/trunk/_source/core/dom/domobject.js
===================================================================
--- CKEditor/trunk/_source/core/dom/domobject.js	(revision 3476)
+++ CKEditor/trunk/_source/core/dom/domobject.js	(revision 3477)
@@ -60,5 +60,5 @@
 			if ( !( priv = this.getCustomData( '_' ) ) )
 				this.setCustomData( '_', ( priv = {} ) );
-			
+
 			return priv;
 		},
Index: CKEditor/trunk/_source/core/dom/range.js
===================================================================
--- CKEditor/trunk/_source/core/dom/range.js	(revision 3476)
+++ CKEditor/trunk/_source/core/dom/range.js	(revision 3477)
@@ -287,4 +287,5 @@
 				}
 			}
+			return true;
 		};
 	}
@@ -1094,9 +1095,10 @@
 						this.document.getBody(), CKEDITOR.POSITION_AFTER_START );
 					walkerRange.setEnd( this.startContainer, this.startOffset );
+
 					var walker = new CKEDITOR.dom.walker( walkerRange ),
-						
-						guard = CKEDITOR.dom.walker.blockBoundary( 
+
+						guard = CKEDITOR.dom.walker.blockBoundary(
 								( unit == CKEDITOR.ENLARGE_LIST_ITEM_CONTENTS ) ? { br : 1 } : null ),
-						tailBr, 
+						tailBr,
 						listGuard = function( node )
 						{
@@ -1105,8 +1107,7 @@
 								tailBr = node;
 							return result;
-						},
-						enlargeable;
+						};
 					walker.guard = guard;
-						
+
 					if ( ( enlargeable = walker.lastBackward() ) )
 						this.setStartAt(
@@ -1413,5 +1414,5 @@
 					return false;
 			}
-			
+
 			// Antecipate the trim() call here, so the walker will not make
 			// changes to the DOM, which would not get reflected into this
@@ -1422,10 +1423,10 @@
 			// let's use an element path for it.
 			var path = new CKEDITOR.dom.elementPath( this.startContainer );
-			
+
 			// Creates a range starting at the block start until the range start.
 			var walkerRange = this.clone();
 			walkerRange.collapse( true );
 			walkerRange.setStartAt( path.block || path.blockLimit, CKEDITOR.POSITION_AFTER_START );
-			
+
 			var walker = new CKEDITOR.dom.walker( walkerRange );
 			walker.evaluator = getCheckStartEndBlockEvalFunction( true );
@@ -1456,10 +1457,10 @@
 			// let's use an element path for it.
 			var path = new CKEDITOR.dom.elementPath( this.endContainer );
-			
+
 			// Creates a range starting at the block start until the range start.
 			var walkerRange = this.clone();
 			walkerRange.collapse( false );
 			walkerRange.setEndAt( path.block || path.blockLimit, CKEDITOR.POSITION_BEFORE_END );
-			
+
 			var walker = new CKEDITOR.dom.walker( walkerRange );
 			walker.evaluator = getCheckStartEndBlockEvalFunction( false );
Index: CKEditor/trunk/_source/core/dom/walker.js
===================================================================
--- CKEditor/trunk/_source/core/dom/walker.js	(revision 3476)
+++ CKEditor/trunk/_source/core/dom/walker.js	(revision 3477)
@@ -24,5 +24,5 @@
 		{
 			this._.start = 1;
-			
+
 			// Trim text nodes and optmize the range boundaries. DOM changes
 			// may happen at this point.
@@ -43,13 +43,13 @@
 			var limitLTR = range.endContainer,
 				blockerLTR = limitLTR.getChild( range.endOffset );
-			
+
 			this._.guardLTR = function( node, movingOut )
 			{
 				return ( ( !movingOut || !limitLTR.equals( node ) )
-					&& ( !blockerLTR || !node.equals( blockerLTR ) ) 
+					&& ( !blockerLTR || !node.equals( blockerLTR ) )
 					&& ( node.type != CKEDITOR.NODE_ELEMENT || node.getName() != 'body' ) );
-			}
-		}
-		
+			};
+		}
+
 		// Create the RTL guard function, if necessary.
 		if ( rtl && !this._.guardRTL )
@@ -58,15 +58,15 @@
 			var limitRTL = range.startContainer,
 				blockerRTL = ( range.startOffset > 0 ) && limitRTL.getChild( range.startOffset - 1 );
-			
+
 			this._.guardRTL = function( node, movingOut )
 			{
 				return ( ( !movingOut || !limitRTL.equals( node ) )
-					&& ( !blockerRTL || !node.equals( blockerRTL ) ) 
+					&& ( !blockerRTL || !node.equals( blockerRTL ) )
 					&& ( node.type != CKEDITOR.NODE_ELEMENT || node.getName() != 'body' ) );
-			}
-		}
-		
+			};
+		}
+
 		// Define which guard function to use.
-		stopGuard = rtl ? this._.guardRTL : this._.guardLTR;
+		var stopGuard = rtl ? this._.guardRTL : this._.guardLTR;
 
 		// Make the user defined guard function participate in the process,
@@ -80,5 +80,5 @@
 
 				return userGuard( node );
-			}
+			};
 		}
 		else
@@ -94,5 +94,5 @@
 			{
 				node = range.endContainer;
-				
+
 				if ( range.endOffset > 0 )
 				{
@@ -144,5 +144,5 @@
 		var node, last = null;
 
-		while ( node = iterate.call( this, rtl ) )
+		while ( ( node = iterate.call( this, rtl ) ) )
 			last = node;
 
@@ -254,5 +254,5 @@
 				return iterate.call( this );
 			},
-			
+
 			/**
 			 * Retrieves the previous node (at left).
@@ -349,5 +349,5 @@
 		};
 	};
-	
+
 	CKEDITOR.dom.walker.listItemBoundary = function()
 	{
Index: CKEditor/trunk/_source/core/env.js
===================================================================
--- CKEditor/trunk/_source/core/env.js	(revision 3476)
+++ CKEditor/trunk/_source/core/env.js	(revision 3477)
@@ -105,7 +105,7 @@
 			 */
 			env.ie6Compat = ( version < 7 || env.quirks );
-			
-			/**
-			 *  Indicate IE8. 
+
+			/**
+			 *  Indicate IE8.
 			 */
 			env.ie8 = (version >= 8);
Index: CKEditor/trunk/_source/core/event.js
===================================================================
--- CKEditor/trunk/_source/core/event.js	(revision 3476)
+++ CKEditor/trunk/_source/core/event.js	(revision 3477)
@@ -57,5 +57,5 @@
 			this.listeners = [];
 		};
-		
+
 		eventEntry.prototype =
 		{
Index: CKEditor/trunk/_source/core/htmlparser/element.js
===================================================================
--- CKEditor/trunk/_source/core/htmlparser/element.js	(revision 3476)
+++ CKEditor/trunk/_source/core/htmlparser/element.js	(revision 3477)
@@ -167,5 +167,5 @@
 				for ( a in attributes )
 				{
-					var value = attributes[ a ];
+					value = attributes[ a ];
 
 					if ( filter && ( !( a = filter.onAttributeName( a ) ) || ( value = filter.onAttribute( element, a, value ) ) === false ) )
Index: CKEditor/trunk/_source/core/test.js
===================================================================
--- CKEditor/trunk/_source/core/test.js	(revision 3476)
+++ CKEditor/trunk/_source/core/test.js	(revision 3477)
@@ -60,5 +60,5 @@
 	{
 		var html;
-		
+
 		if ( typeof elementOrId == 'string' )
 			html = document.getElementById( elementOrId ).innerHTML;
Index: CKEditor/trunk/_source/core/tools.js
===================================================================
--- CKEditor/trunk/_source/core/tools.js	(revision 3476)
+++ CKEditor/trunk/_source/core/tools.js	(revision 3477)
@@ -63,7 +63,7 @@
 		clone : function( object )
 		{
-			if( object === null || typeof( object ) != 'object') 
+			if( object === null || typeof( object ) != 'object')
 				return object;
-				
+
 			var clone = new object.constructor();
 
Index: CKEditor/trunk/_source/lang/_languages.js
===================================================================
--- CKEditor/trunk/_source/lang/_languages.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/_languages.js	(revision 3477)
@@ -5,5 +5,5 @@
 
 /**
-* @fileOverview 
+* @fileOverview
 */
 
@@ -568,5 +568,5 @@
 		more : 'More Colors...' // MISSING
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 3476)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 3477)
Index: CKEditor/trunk/_source/lang/af.js
===================================================================
--- CKEditor/trunk/_source/lang/af.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/af.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/da.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/de.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/el.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/en-uk.js
===================================================================
--- CKEditor/trunk/_source/lang/en-uk.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/en-uk.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/en.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/es.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/et.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/he.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/hi.js
===================================================================
--- CKEditor/trunk/_source/lang/hi.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/hi.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/hr.js
===================================================================
--- CKEditor/trunk/_source/lang/hr.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/hr.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/hu.js
===================================================================
--- CKEditor/trunk/_source/lang/hu.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/hu.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/is.js
===================================================================
--- CKEditor/trunk/_source/lang/is.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/is.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/it.js
===================================================================
--- CKEditor/trunk/_source/lang/it.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/it.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/km.js
===================================================================
--- CKEditor/trunk/_source/lang/km.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/km.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ko.js
===================================================================
--- CKEditor/trunk/_source/lang/ko.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ko.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/lt.js
===================================================================
--- CKEditor/trunk/_source/lang/lt.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/lt.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/lv.js
===================================================================
--- CKEditor/trunk/_source/lang/lv.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/lv.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/mn.js
===================================================================
--- CKEditor/trunk/_source/lang/mn.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/mn.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ms.js
===================================================================
--- CKEditor/trunk/_source/lang/ms.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ms.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/nl.js
===================================================================
--- CKEditor/trunk/_source/lang/nl.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/nl.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/no.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/pl.js
===================================================================
--- CKEditor/trunk/_source/lang/pl.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/pl.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/pt-br.js
===================================================================
--- CKEditor/trunk/_source/lang/pt-br.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/pt-br.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/pt.js
===================================================================
--- CKEditor/trunk/_source/lang/pt.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/pt.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ro.js
===================================================================
--- CKEditor/trunk/_source/lang/ro.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ro.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/ru.js
===================================================================
--- CKEditor/trunk/_source/lang/ru.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/ru.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/sk.js
===================================================================
--- CKEditor/trunk/_source/lang/sk.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/sk.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/sl.js
===================================================================
--- CKEditor/trunk/_source/lang/sl.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/sl.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/sr-latn.js
===================================================================
--- CKEditor/trunk/_source/lang/sr-latn.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/sr-latn.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/sr.js
===================================================================
--- CKEditor/trunk/_source/lang/sr.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/sr.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/sv.js
===================================================================
--- CKEditor/trunk/_source/lang/sv.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/sv.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/th.js
===================================================================
--- CKEditor/trunk/_source/lang/th.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/th.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/tr.js
===================================================================
--- CKEditor/trunk/_source/lang/tr.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/tr.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/uk.js
===================================================================
--- CKEditor/trunk/_source/lang/uk.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/uk.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/lang/zh.js
===================================================================
--- CKEditor/trunk/_source/lang/zh.js	(revision 3476)
+++ CKEditor/trunk/_source/lang/zh.js	(revision 3477)
@@ -613,5 +613,5 @@
 		'FFF' : 'White'
 	},
-	
+
 	about :
 	{
Index: CKEditor/trunk/_source/plugins/about/dialogs/about.js
===================================================================
--- CKEditor/trunk/_source/plugins/about/dialogs/about.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/about/dialogs/about.js	(revision 3477)
@@ -19,5 +19,5 @@
 				expand : true,
 				padding : 0,
-				elements : 
+				elements :
 				[
 					{
Index: CKEditor/trunk/_source/plugins/button/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/button/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/button/plugin.js	(revision 3477)
@@ -239,5 +239,5 @@
 			retVal = ( instance.onfocus( instance, new CKEDITOR.dom.event( ev ) ) !== false );
 
-		// FF2: prevent focus event been bubbled up to editor container, which caused unexpected editor focus. 
+		// FF2: prevent focus event been bubbled up to editor container, which caused unexpected editor focus.
 		if ( CKEDITOR.env.gecko && CKEDITOR.env.version < 10900 )
 			ev.preventBubble();
Index: CKEditor/trunk/_source/plugins/clipboard/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/clipboard/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/clipboard/plugin.js	(revision 3477)
@@ -138,5 +138,5 @@
 
 				// Save Undo snapshot.
-				var editor = this;
+				editor = this;
 				editor.fire( 'saveSnapshot' );		// Save before paste
 				setTimeout( function()
Index: CKEditor/trunk/_source/plugins/colorbutton/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/colorbutton/plugin.js	(revision 3477)
@@ -143,5 +143,5 @@
 	'F00,FF8C00,FFD700,008000,0FF,00F,EE82EE,A9A9A9,' +
 	'FFA07A,FFA500,FFFF00,00FF00,AFEEEE,ADD8E6,DDA0DD,D3D3D3,' +
-	'FFF0F5,FAEBD7,FFFFE0,F0FFF0,F0FFFF,F0F8FF,E6E6FA,FFF'
+	'FFF0F5,FAEBD7,FFFFE0,F0FFF0,F0FFFF,F0F8FF,E6E6FA,FFF';
 
 CKEDITOR.config.colorButton_foreStyle =
Index: CKEditor/trunk/_source/plugins/contextmenu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 3477)
@@ -62,5 +62,5 @@
 					menu.onHide = null;
 
-					noUnlock = true;
+					var noUnlock = true;
 					menu.hide();
 
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 3477)
@@ -145,5 +145,5 @@
 
 		this.parts = themeBuilt.parts;
-		
+
 		// Set the startup styles for the dialog, avoiding it enlarging the
 		// page size on the dialog creation.
@@ -2613,5 +2613,5 @@
 			CKEDITOR.scriptLoader.load( CKEDITOR.getUrl( dialogDefinitions ), function()
 				{
-					// In case of plugin error, mark it as loading failed. 
+					// In case of plugin error, mark it as loading failed.
 					if ( typeof CKEDITOR.dialog._.dialogDefinitions[ dialogName ] != 'function' )
 							CKEDITOR.dialog._.dialogDefinitions[ dialogName ] =  'failed';
Index: CKEditor/trunk/_source/plugins/domiterator/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/domiterator/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/domiterator/plugin.js	(revision 3477)
@@ -12,8 +12,8 @@
 (function()
 {
-	
+
 	/**
 	 * Find next source order node, ignore bookmark nodes and stop at the specified end node.
-	 * @param {Object} currentNode 
+	 * @param {Object} currentNode
 	 * @param {Object} endNode
 	 */
@@ -23,9 +23,9 @@
 		do
 		{
-			next = next.getNextSourceNode( 
+			next = next.getNextSourceNode(
 				startFromSibling, null, endNode );
 		}
-		while( next && next.getName 
-					&& next.getName() == 'span' 
+		while( next && next.getName
+					&& next.getName() == 'span'
 					&& next.getAttribute( '_fck_bookmark' ) )
 		return next;
@@ -66,9 +66,9 @@
 				range = this.range.clone();
 				range.enlarge( this.forceBrBreak ? CKEDITOR.ENLARGE_LIST_ITEM_CONTENTS : CKEDITOR.ENLARGE_BLOCK_CONTENTS );
-				
+
 				var boundary = range.getBoundaryNodes();
 				this._.nextNode = boundary.startNode;
 				this._.lastNode = boundary.endNode.getNextSourceNode( true );
-				// Probably the document end is reached, we need a marker node.  
+				// Probably the document end is reached, we need a marker node.
 				if ( !this._.lastNode )
 				{
@@ -212,5 +212,5 @@
 				if ( isLast )
 					break;
-				
+
 				currentNode = getNextSourceNode( currentNode, lastNode, continueFromSibling );
 			}
@@ -316,5 +316,5 @@
 			if ( !this._.nextNode )
 			{
-				this._.nextNode = ( isLast || block.equals( lastNode ) ) ? null : 
+				this._.nextNode = ( isLast || block.equals( lastNode ) ) ? null :
 					getNextSourceNode( block, lastNode, true );
 			}
Index: CKEditor/trunk/_source/plugins/editingblock/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 3477)
@@ -104,5 +104,5 @@
 					{
 						var tabIndex = editor.config.tabIndex || editor.element.getAttribute( 'tabindex' ) || 0;
-						focusGrabber = focusGrabber.append( CKEDITOR.dom.element.createFromHtml( 
+						focusGrabber = focusGrabber.append( CKEDITOR.dom.element.createFromHtml(
 							'<input' +
 								' tabindex="' + tabIndex + '"' +
Index: CKEditor/trunk/_source/plugins/elementspath/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/elementspath/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/elementspath/plugin.js	(revision 3477)
@@ -95,5 +95,5 @@
 								( ( CKEDITOR.env.gecko && CKEDITOR.env.version < 10900 ) ?
 								' onfocus="event.preventBubble();"' : '' ) +
-								' hidefocus="true" ' +  
+								' hidefocus="true" ' +
 								' onkeydown="return CKEDITOR._.elementsPath.keydown(\'', this.name, '\',', index, ', event);"' +
 								extra ,
Index: CKEditor/trunk/_source/plugins/find/dialogs/find.js
===================================================================
--- CKEditor/trunk/_source/plugins/find/dialogs/find.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/find/dialogs/find.js	(revision 3477)
@@ -8,5 +8,5 @@
 	function guardDomWalkerNonEmptyTextNode( node )
 	{
-		return ( node.type == CKEDITOR.NODE_TEXT && node.getLength() > 0 )
+		return ( node.type == CKEDITOR.NODE_TEXT && node.getLength() > 0 );
 	}
 
@@ -76,5 +76,5 @@
 		 * @param {Object} start
 		 * @param {Number} offset
-		 * @param {Boolean} isStrict 
+		 * @param {Boolean} isStrict
 		 */
 		var characterWalker = function( range , matchWord )
@@ -96,12 +96,12 @@
 			next : function()
 			{
-				return this.move();	
-			},
-			
+				return this.move();
+			},
+
 			back : function()
 			{
 				return this.move( true );
 			},
-			
+
 			move : function( rtl )
 			{
@@ -146,5 +146,5 @@
 						   && checkCharactersBoundary( this._.walker.current ) )
 							this._.matchBoundary = true;
-	
+
 					}
 					// Found a fresh text node.
@@ -358,5 +358,5 @@
 										maxLength );
 			},
-			
+
 			getCursors : function()
 			{
@@ -365,5 +365,5 @@
 		};
 
-		
+
 		// The remaining document range after the character cursor.
 		function getRangeAfterCursor( cursor , inclusive )
@@ -386,5 +386,5 @@
 			return range;
 		}
-		
+
 		var KMP_NOMATCH = 0,
 			KMP_ADVANCED = 1,
@@ -463,6 +463,6 @@
 
 		var finder = {
-			searchRange : null, 
-			matchRange : null, 
+			searchRange : null,
+			matchRange : null,
 			find : function( pattern, matchCase, matchWord, matchCyclic )
 			{
@@ -501,16 +501,10 @@
 								tail = cursors[ cursors.length - 1 ],
 								head = cursors[ 0 ];
-								headWalker =
-									new characterWalker(
-										getRangeBeforeCursor( head ),
-									true ),
-								tailWalker =
-									new characterWalker(
-										getRangeAfterCursor( tail ),
-									true );
-							if ( ! ( isWordSeparator(
-										headWalker.back().character )
-										&& isWordSeparator(
-										tailWalker.next().character ) ) )
+
+							var headWalker = new characterWalker( getRangeBeforeCursor( head ), true ),
+								tailWalker = new characterWalker( getRangeAfterCursor( tail ), true );
+
+							if ( ! ( isWordSeparator( headWalker.back().character )
+										&& isWordSeparator( tailWalker.next().character ) ) )
 								continue;
 						}
Index: CKEditor/trunk/_source/plugins/flash/dialogs/flash.js
===================================================================
--- CKEditor/trunk/_source/plugins/flash/dialogs/flash.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/flash/dialogs/flash.js	(revision 3477)
@@ -282,5 +282,5 @@
 					editor.insertElement( newFakeImage );
 			},
-			
+
 			onHide : function()
 			{
@@ -288,5 +288,5 @@
 					this.preview.setHtml('');
 			},
-			
+
 			contents : [
 				{
@@ -320,7 +320,7 @@
 											onLoad : function()
 											{
-												var dialog = this.getDialog(), 
+												var dialog = this.getDialog(),
 												updatePreview = function( src ){
-													
+
 													dialog.preview.setHtml( '<embed height="100%" width="100%" src="'
 														+ CKEDITOR.tools.htmlEncode( src )
@@ -329,8 +329,8 @@
 												// Preview element
 												dialog.preview = dialog.getContentElement( 'info', 'preview' ).getElement().getChild( 3 );
-												
+
 												// Sync on inital value loaded.
 												this.on( 'change', function( evt ){
-													
+
 														if ( evt.data && evt.data.value )
 															updatePreview( evt.data.value );
@@ -338,5 +338,5 @@
 												// Sync when input value changed.
 												this.getInputElement().on( 'change', function( evt ){
-													
+
 													updatePreview( this.getValue() );
 												}, this );
Index: CKEditor/trunk/_source/plugins/forms/dialogs/form.js
===================================================================
--- CKEditor/trunk/_source/plugins/forms/dialogs/form.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/forms/dialogs/form.js	(revision 3477)
@@ -83,5 +83,5 @@
 						setup : function( element )
 						{
-							this.setValue( element.getAttribute( '_cke_saved_name' ) || 
+							this.setValue( element.getAttribute( '_cke_saved_name' ) ||
 									element.getAttribute( 'name' ) ||
 									'' );
Index: CKEditor/trunk/_source/plugins/forms/dialogs/hiddenfield.js
===================================================================
--- CKEditor/trunk/_source/plugins/forms/dialogs/hiddenfield.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/forms/dialogs/hiddenfield.js	(revision 3477)
@@ -30,5 +30,5 @@
 				element.setAttribute( 'type', 'hidden' );
 			}
-			
+
 			if ( isInsertMode )
 				editor.insertElement( element );
Index: CKEditor/trunk/_source/plugins/forms/dialogs/textfield.js
===================================================================
--- CKEditor/trunk/_source/plugins/forms/dialogs/textfield.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/forms/dialogs/textfield.js	(revision 3477)
@@ -96,5 +96,5 @@
 								setup : function( element )
 								{
-									this.setValue( 
+									this.setValue(
 											element.getAttribute( '_cke_saved_name' ) ||
 											element.getAttribute( 'name' ) ||
Index: CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 3477)
@@ -72,8 +72,8 @@
 						delete attribs.href;
 				},
-				
+
 				/**
-				 * IE sucks with dynamic 'name' attribute after element is created, '_cke_saved_name' is used instead for this attribute.    
-				 */				
+				 * IE sucks with dynamic 'name' attribute after element is created, '_cke_saved_name' is used instead for this attribute.
+				 */
 				input : function( element )
 				{
@@ -106,5 +106,5 @@
 
 	var protectAttributeRegex = /<(?:a|area|img|input).*?\s((?:href|src|name)\s*=\s*(?:(?:"[^"]*")|(?:'[^']*')|(?:[^ "'>]+)))/gi;
-	
+
 	function protectAttributes( html )
 	{
Index: CKEditor/trunk/_source/plugins/indent/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 3477)
@@ -228,5 +228,5 @@
 				nearestListBlock = range.getCommonAncestor();
 
-			while ( nearestListBlock && !( nearestListBlock.type == CKEDITOR.NODE_ELEMENT && 
+			while ( nearestListBlock && !( nearestListBlock.type == CKEDITOR.NODE_ELEMENT &&
 				listNodeNames[ nearestListBlock.getName() ] ) )
 				nearestListBlock = nearestListBlock.getParent();
Index: CKEditor/trunk/_source/plugins/link/dialogs/anchor.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/dialogs/anchor.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/link/dialogs/anchor.js	(revision 3477)
@@ -53,5 +53,5 @@
 				editor.getSelection().selectElement( fakeElement );
 			}
-			
+
 			return true;
 		},
Index: CKEditor/trunk/_source/plugins/list/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/list/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/list/plugin.js	(revision 3477)
@@ -125,6 +125,6 @@
 						currentListItem.appendBogus();
 					}
-					
-					if ( currentListItem.type == CKEDITOR.NODE_ELEMENT && 
+
+					if ( currentListItem.type == CKEDITOR.NODE_ELEMENT &&
 							currentListItem.getName() == paragraphName &&
 							currentListItem.$.firstChild )
Index: CKEditor/trunk/_source/plugins/maximize/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/maximize/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/maximize/plugin.js	(revision 3477)
@@ -127,13 +127,13 @@
 						{
 							var $textarea = editor.textarea.$;
-							savedSelection = !CKEDITOR.env.ie && [ $textarea.selectionStart, $textarea.selectionEnd ]; 
+							savedSelection = !CKEDITOR.env.ie && [ $textarea.selectionStart, $textarea.selectionEnd ];
 							savedScroll = [ $textarea.scrollLeft, $textarea.scrollTop ];
 						}
-						
+
 						if ( this.state == CKEDITOR.TRISTATE_OFF )		// Go fullscreen if the state is off.
 						{
 							// Add event handler for resizing.
 							mainWindow.on( 'resize', resizeHandler );
-							
+
 							// Save the scroll bar position.
 							outerScroll = mainWindow.getScrollPosition();
@@ -200,5 +200,6 @@
 								editorElements[i].removeCustomData( 'maximize_saved_styles' );
 							}
-							var currentNode = editor.container;
+
+							currentNode = editor.container;
 							while ( ( currentNode = currentNode.getParent() ) )
 							{
Index: CKEditor/trunk/_source/plugins/pastefromword/dialogs/pastefromword.js
===================================================================
--- CKEditor/trunk/_source/plugins/pastefromword/dialogs/pastefromword.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/pastefromword/dialogs/pastefromword.js	(revision 3477)
@@ -147,5 +147,5 @@
 			// inserted iframe editable. (#3366)
 			this.parts.dialog.$.offsetHeight;
-			
+
 			var container = this.getContentElement( 'general', 'editing_area' ).getElement(),
 				iframe = CKEDITOR.dom.element.createFromHtml( '<iframe src="javascript:void(0)" frameborder="0" allowtransparency="1"></iframe>' );
Index: CKEditor/trunk/_source/plugins/selection/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 3477)
@@ -32,5 +32,5 @@
 		catch (e)
 		{}
-	};
+	}
 
 	var checkSelectionChangeTimer,
@@ -317,5 +317,5 @@
 		{
 			var range = this.getNative().createRange();
-			if ( !range 
+			if ( !range
 				|| ( range.item && range.item(0).ownerDocument != this.document.$ )
 				|| ( range.parentElement && range.parentElement().ownerDocument != this.document.$ ) )
@@ -324,4 +324,6 @@
 			}
 		}
+
+		return this;
 	};
 
@@ -716,5 +718,5 @@
 			return cache.selectedElement = ( node ? new CKEDITOR.dom.element( node ) : null );
 		},
-		
+
 		lock : function()
 		{
@@ -732,5 +734,5 @@
 			this.document.setCustomData( 'cke_locked_selection', this );
 		},
-		
+
 		unlock : function( restore )
 		{
@@ -751,5 +753,5 @@
 
 					doc.getBody().focus();
-					
+
 					if ( selectedElement )
 						this.selectElement( selectedElement );
@@ -778,10 +780,10 @@
 				range.setStartBefore( element );
 				range.setEndAfter( element );
-			
+
 				this._.cache.selectedElement = element;
 				this._.cache.startElement = element;
 				this._.cache.ranges = [ range ];
 				this._.cache.type = CKEDITOR.SELECTION_ELEMENT;
-				
+
 				return;
 			}
@@ -791,5 +793,4 @@
 				this.getNative().empty();
 
-				var range;
 				try
 				{
@@ -812,5 +813,5 @@
 			{
 				// Create the range for the element.
-				var range = this.document.$.createRange();
+				range = this.document.$.createRange();
 				range.selectNode( element.$ );
 
@@ -832,5 +833,5 @@
 				this._.cache.ranges = ranges;
 				this._.cache.type = CKEDITOR.SELECTION_TEXT;
-				
+
 				return;
 			}
Index: CKEditor/trunk/_source/plugins/sourcearea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/sourcearea/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/sourcearea/plugin.js	(revision 3477)
@@ -62,9 +62,10 @@
 								if ( !CKEDITOR.env.quirks || CKEDITOR.env.version < 7 )
 								{
-									function getHolderRect(){
-										return {	
+									function getHolderRect()
+									{
+										return {
 											height : holderElement.$.clientHeight + 'px',
-											width : holderElement.$.clientWidth + 'px' 
-										}
+											width : holderElement.$.clientWidth + 'px'
+										};
 									}
 
Index: CKEditor/trunk/_source/plugins/styles/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 3477)
@@ -184,25 +184,25 @@
 
 			// If the element name is the same as the style name.
-			if ( element.getName() == this.element ) 
+			if ( element.getName() == this.element )
 			{
 				// If no attributes are defined in the element.
-				if ( !fullMatch && !element.hasAttributes() ) 
+				if ( !fullMatch && !element.hasAttributes() )
 					return true;
-				
+
 				attribs = getAttributesForComparison( def );
-				
-				if ( attribs._length ) 
-				{
-					for ( var attName in attribs ) 
+
+				if ( attribs._length )
+				{
+					for ( var attName in attribs )
 					{
-						if ( attName == '_length' ) 
+						if ( attName == '_length' )
 							continue;
-						
-						if ( compareAttributeValues(attName, attribs[attName], element.getAttribute( attName ) ) ) 
+
+						if ( compareAttributeValues(attName, attribs[attName], element.getAttribute( attName ) ) )
 						{
-							if ( !fullMatch ) 
+							if ( !fullMatch )
 								return true;
 						}
-						else if ( fullMatch ) 
+						else if ( fullMatch )
 								return false;
 					}
@@ -219,21 +219,22 @@
 			{
 				// If no attributes have been defined, remove the element.
-				if ( !( attribs = override.attributes ) ) 
+				if ( !( attribs = override.attributes ) )
 					return true;
-	
+
 				for ( var i = 0 ; i < attribs.length ; i++ )
 				{
-					var attName = attribs[i][0], actualAttrValue;
-					if ( actualAttrValue = element.getAttribute( attName ) )
+					attName = attribs[i][0];
+					var actualAttrValue = element.getAttribute( attName );
+					if ( actualAttrValue )
 					{
 						var attValue = attribs[i][1];
-	
+
 						// Remove the attribute if:
 						//    - The override definition value is null;
-						//    - The override definition valie is a string that
+						//    - The override definition value is a string that
 						//      matches the attribute value exactly.
 						//    - The override definition value is a regex that
 						//      has matches in the attribute value.
-						if ( attValue == null ||
+						if ( attValue === null ||
 								( typeof attValue == 'string' && actualAttrValue == attValue ) ||
 								attValue.test( actualAttrValue ) )
@@ -317,6 +318,6 @@
 		var firstNode = boundaryNodes.startNode;
 		var lastNode = boundaryNodes.endNode.getNextSourceNode( true );
-		
-		// Probably the document end is reached, we need a marker node.  
+
+		// Probably the document end is reached, we need a marker node.
 		if ( !lastNode )
 		{
@@ -605,5 +606,5 @@
 					if( currentNode.getName() == this.element )
 						removeFromElement( this, currentNode );
-					else	
+					else
 						removeOverrides( currentNode, getOverrides( this )[ currentNode.getName() ] );
 
@@ -695,6 +696,6 @@
 			}
 		}
-		
-		// Remove definition attributes/style from the elemnt.		
+
+		// Remove definition attributes/style from the elemnt.
 		removeAttrs();
 		for ( var styleName in styles )
@@ -727,6 +728,6 @@
 			if ( overrideElement != style.element )
 			{
-				var innerElements = element.getElementsByTag( overrideElement ) ;
-				for ( var i = innerElements.count() - 1 ; i >= 0 ; i-- )
+				innerElements = element.getElementsByTag( overrideElement ) ;
+				for ( i = innerElements.count() - 1 ; i >= 0 ; i-- )
 				{
 					var innerElement = innerElements.getItem( i );
@@ -737,5 +738,5 @@
 
 	}
-	
+
 	/**
 	 *  Remove overriding styles/attributes from the specific element.
@@ -754,7 +755,7 @@
 				var attName = attributes[i][0], actualAttrValue ;
 
-				if ( actualAttrValue = element.getAttribute( attName ) )
-				{
-					var attValue	= attributes[i][1] ;
+				if ( ( actualAttrValue = element.getAttribute( attName ) ) )
+				{
+					var attValue = attributes[i][1] ;
 
 					// Remove the attribute if:
@@ -764,5 +765,5 @@
 					//    - The override definition value is a regex that
 					//      has matches in the attribute value.
-					if ( attValue == null ||
+					if ( attValue === null ||
 							( attValue.test && attValue.test( actualAttrValue ) ) ||
 							( typeof attValue == 'string' && actualAttrValue == attValue ) )
@@ -771,8 +772,8 @@
 			}
 		}
-		
+
 		removeNoAttribsElement( element );
 	}
-	
+
 	// If the element has no more attributes, remove it.
 	function removeNoAttribsElement( element )
@@ -944,7 +945,7 @@
 			return style._.overrides;
 
-		var overrides = ( style._.overrides = {} ), 
+		var overrides = ( style._.overrides = {} ),
 			definition = style._.definition.overrides;
-		
+
 		if ( definition )
 		{
@@ -993,8 +994,8 @@
 			}
 		}
-		
+
 		return overrides;
 	}
-	
+
 	function normalizeCssText( unparsedCssText )
 	{
Index: CKEditor/trunk/_source/plugins/table/dialogs/table.js
===================================================================
--- CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 3477)
@@ -116,5 +116,5 @@
 							{
 								th.renameNode( 'th' );
-								if ( i == 0 )
+								if ( !i )
 									th.setAttribute( 'scope', 'col' );
 							}
@@ -152,5 +152,5 @@
 						for( row = 0 ; row < table.$.rows.length ; row++ )
 						{
-							var newCell = new CKEDITOR.dom.element( table.$.rows[ row ].cells[ 0 ] );
+							newCell = new CKEDITOR.dom.element( table.$.rows[ row ].cells[ 0 ] );
 							newCell.renameNode( 'th' );
 							newCell.setAttribute( 'scope', 'col' );
@@ -166,5 +166,5 @@
 							if ( row.getParent().getName() == 'tbody' )
 							{
-								var newCell = new CKEDITOR.dom.element( row.$.cells[0] );
+								newCell = new CKEDITOR.dom.element( row.$.cells[0] );
 								newCell.renameNode( 'td');
 								newCell.removeAttribute( 'scope' );
@@ -214,5 +214,5 @@
 										{
 											type : 'text',
-											id : 'txtRows',											
+											id : 'txtRows',
 											'default' : 3,
 											label : editor.lang.table.rows,
Index: CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js
===================================================================
--- CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js	(revision 3477)
@@ -16,5 +16,5 @@
 		function spacer()
 		{
-			return { type : 'html', html : '&nbsp;' }
+			return { type : 'html', html : '&nbsp;' };
 		}
 
@@ -61,5 +61,5 @@
 													{
 														var unit = this.getDialog().getValueOf( 'info', 'widthType' );
-														if ( this.getValue() != '' )
+														if ( this.getValue() !== '' )
 															selectedCell.$.style.width = this.getValue() + unit;
 														else
@@ -110,5 +110,5 @@
 													commit : function( selectedCell )
 													{
-														if ( this.getValue() != '' )
+														if ( this.getValue() !== '' )
 															selectedCell.$.style.height = this.getValue() + 'px';
 														else
@@ -196,6 +196,5 @@
 													selectedCell.removeAttribute( 'vAlign' );
 											}
-										},
-
+										}
 									]
 								},
Index: CKEditor/trunk/_source/plugins/tabletools/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/tabletools/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/tabletools/plugin.js	(revision 3477)
@@ -49,5 +49,5 @@
 		var $table = ( refCell.getName() == 'table' ? $refCell : refCell.getAscendant( 'table' ) ).$;
 		var $rows = $table.rows;
-		
+
 		// Row and column counters.
 		var r = -1;
@@ -63,5 +63,5 @@
 			for ( var j = 0 ; j < $rows[ i ].cells.length ; j++ )
 			{
-				var $cell = $row[ i ].cells[ j ];
+				var $cell = $rows[ i ].cells[ j ];
 
 				c++;
@@ -77,5 +77,5 @@
 						map[ r + rs ] = [];
 
-					for ( var cs = 0 ; cs < colspan ; cs++ )
+					for ( var cs = 0 ; cs < colSpan ; cs++ )
 						map [ r + rs ][ c + cs ] = $rows[ i ].cells[ j ];
 				}
@@ -105,5 +105,5 @@
 			{
 				var $cell = tableMap[ i ][ j ];
-				if ( $cell.parentNode ) 
+				if ( $cell.parentNode )
 					$cell.parentNode.removeChild( $cell );
 				$cell.colSpan = $cell[ rowSpanAttr ] = 1;
@@ -113,9 +113,9 @@
 		// Scan by rows and set colSpan.
 		var maxCol = 0;
-		for ( var i = 0 ; i < tableMap.length ; i++ )
-		{
-			for ( var j = 0 ; j < tableMap[ i ].length ; j++ )
-			{
-				var $cell = tableMap[ i ][ j ];
+		for ( i = 0 ; i < tableMap.length ; i++ )
+		{
+			for ( j = 0 ; j < tableMap[ i ].length ; j++ )
+			{
+				$cell = tableMap[ i ][ j ];
 				if ( !$cell )
 					continue;
@@ -132,11 +132,11 @@
 
 		// Scan by columns and set rowSpan.
-		for ( var i = 0 ; i <= maxCol ; i++ )
-		{
-			for ( var j = 0 ; j < tableMap.length ; j++ )
+		for ( i = 0 ; i <= maxCol ; i++ )
+		{
+			for ( j = 0 ; j < tableMap.length ; j++ )
 			{
 				if ( !tableMap[ j ] )
 					continue;
-				var $cell = tableMap[ j ][ i ];
+				$cell = tableMap[ j ][ i ];
 				if ( !$cell || $cell[ '_cke_rowScanned' ] )
 					continue;
@@ -149,9 +149,9 @@
 
 		// Clear all temporary flags.
-		for ( var i = 0 ; i < tableMap.length ; i++ )
-		{
-			for ( var j = 0 ; j < tableMap[ i ].length ; j++ )
-			{
-				var $cell = tableMap[ i ][ j ];
+		for ( i = 0 ; i < tableMap.length ; i++ )
+		{
+			for ( j = 0 ; j < tableMap[ i ].length ; j++ )
+			{
+				$cell = tableMap[ i ][ j ];
 				removeRawAttribute( $cell, '_cke_colScanned' );
 				removeRawAttribute( $cell, '_cke_rowScanned' );
@@ -160,10 +160,10 @@
 
 		// Insert physical rows and columns to table.
-		for ( var i = 0 ; i < tableMap.length ; i++ )
+		for ( i = 0 ; i < tableMap.length ; i++ )
 		{
 			var $row = $table.ownerDocument.createElement( 'tr' );
-			for ( var j = 0 ; j < tableMap[ i ].length ; )
-			{
-				var $cell = tableMap[ i ][ j ];
+			for ( j = 0 ; j < tableMap[ i ].length ; )
+			{
+				$cell = tableMap[ i ][ j ];
 				if ( tableMap[ i - 1 ] && tableMap[ i - 1 ][ j ] == $cell )
 				{
@@ -174,5 +174,5 @@
 				if ( rowSpanAttr != 'rowSpan' )
 				{
-					$cell.rowSpan = cell[ rowSpanAttr ];
+					$cell.rowSpan = $cell[ rowSpanAttr ];
 					$cell.removeAttribute( rowSpanAttr );
 				}
@@ -243,5 +243,5 @@
 			}
 
-			for ( var i = rowsToDelete.length ; i >= 0 ; i-- )
+			for ( i = rowsToDelete.length ; i >= 0 ; i-- )
 			{
 				if ( rowsToDelete[ i ] )
@@ -319,5 +319,5 @@
 			 * will be deleted.
 			 */
-			for ( var i = table.$.rows.length - 1 ; i >= 0 ; i-- )
+			for ( i = table.$.rows.length - 1 ; i >= 0 ; i-- )
 			{
 				// Get the row.
@@ -325,5 +325,5 @@
 
 				// If the cell to be removed is the first one and the row has just one cell.
-				if ( cellIndex == 0 && row.$.cells.length == 1 )
+				if ( !cellIndex && row.$.cells.length == 1 )
 				{
 					deleteRows( row );
@@ -390,5 +390,5 @@
 						var startElement = selection && selection.getStartElement();
 						var table = startElement && startElement.getAscendant( 'table', true );
-						
+
 						if ( !table )
 							return;
@@ -648,3 +648,3 @@
 		}
 	} );
-})()
+})();
Index: CKEditor/trunk/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/toolbar/plugin.js	(revision 3477)
@@ -136,8 +136,8 @@
 
 						var toolbars = editor.toolbox.toolbars,
-							toolbar = 
-									( editor.config.toolbar instanceof Array ) ? 
+							toolbar =
+									( editor.config.toolbar instanceof Array ) ?
 										editor.config.toolbar
-									: 
+									:
 										editor.config[ 'toolbar_' + editor.config.toolbar ];
 
@@ -267,5 +267,5 @@
 CKEDITOR.config.toolbar_Basic =
 [
-	['Bold', 'Italic', '-', 'NumberedList', 'BulletedList', '-', 'Link', 'Unlink' ] 
+	['Bold', 'Italic', '-', 'NumberedList', 'BulletedList', '-', 'Link', 'Unlink' ]
 ];
 
@@ -299,5 +299,5 @@
  * ]</b>;
  * // Load toolbar_Name where Name = Basic.
- * <b>CKEDITOR.config.toolbar = 'Basic'; 
+ * <b>CKEDITOR.config.toolbar = 'Basic';
  */
 CKEDITOR.config.toolbar = 'Full';
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 3476)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 3477)
@@ -16,5 +16,5 @@
 		{
 			this.focus();
-				
+
 			var selection = this.getSelection(),
 				data = evt.data;
@@ -26,13 +26,13 @@
 			{
 				var selIsLocked = selection.isLocked;
-				
+
 				if ( selIsLocked )
 					selection.unlock();
-				
+
 				var $sel = selection.getNative();
 				if ( $sel.type == 'Control' )
 					$sel.clear();
 				$sel.createRange().pasteHTML( data );
-				
+
 				if ( selIsLocked )
 					this.getSelection().lock();
@@ -260,5 +260,5 @@
 						domDocument	= editor.document	= new CKEDITOR.dom.document( domDocument );
 
-						// Gecko/Webkit need some help when selecting control type elements. (#3448) 
+						// Gecko/Webkit need some help when selecting control type elements. (#3448)
 						if ( !( CKEDITOR.env.ie || CKEDITOR.env.opera) )
 						{
@@ -266,9 +266,9 @@
 							{
 								var control = ev.data.getTarget();
-								if ( control.is( 'img', 'hr', 'input', 'textarea', 'select' ) ) 
+								if ( control.is( 'img', 'hr', 'input', 'textarea', 'select' ) )
 									editor.getSelection().selectElement( control );
 							} );
 						}
-						
+
 						// Webkit: avoid from editing form control elements content.
 						if ( CKEDITOR.env.webkit )
Index: CKEditor/trunk/_source/skins/office2003/reset.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/reset.css	(revision 3476)
+++ CKEditor/trunk/_source/skins/office2003/reset.css	(revision 3477)
@@ -69,5 +69,5 @@
 .cke_skin_office2003 input[type="password"]
 {
-	cursor: text; 
+	cursor: text;
 }
 
@@ -75,4 +75,4 @@
 .cke_skin_office2003 input[type="password"][disabled]
 {
-	cursor: default; 
+	cursor: default;
 }
Index: CKEditor/trunk/_source/skins/office2003/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 3476)
+++ CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 3477)
@@ -12,5 +12,5 @@
 }
 
-.cke_skin_office2003 a.cke_toolbox_collapser, 
+.cke_skin_office2003 a.cke_toolbox_collapser,
 .cke_skin_office2003 a:hover.cke_toolbox_collapser
 {
@@ -26,5 +26,5 @@
 }
 
-.cke_skin_office2003 .cke_rtl a.cke_toolbox_collapser, 
+.cke_skin_office2003 .cke_rtl a.cke_toolbox_collapser,
 .cke_skin_office2003 .cke_rtl a:hover.cke_toolbox_collapser
 {
@@ -32,5 +32,5 @@
 }
 
-.cke_skin_office2003 a.cke_toolbox_collapser_min, 
+.cke_skin_office2003 a.cke_toolbox_collapser_min,
 .cke_skin_office2003 a:hover.cke_toolbox_collapser_min
 {
@@ -39,5 +39,5 @@
 }
 
-.cke_skin_office2003 .cke_rtl a.cke_toolbox_collapser_min, 
+.cke_skin_office2003 .cke_rtl a.cke_toolbox_collapser_min,
 .cke_skin_office2003 .cke_rtl a:hover.cke_toolbox_collapser_min
 {
Index: CKEditor/trunk/_source/skins/v2/reset.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/reset.css	(revision 3476)
+++ CKEditor/trunk/_source/skins/v2/reset.css	(revision 3477)
@@ -69,5 +69,5 @@
 .cke_skin_v2 input[type="password"]
 {
-	cursor: text; 
+	cursor: text;
 }
 
@@ -75,4 +75,4 @@
 .cke_skin_v2 input[type="password"][disabled]
 {
-	cursor: default; 
+	cursor: default;
 }
Index: CKEditor/trunk/_source/skins/v2/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 3476)
+++ CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 3477)
@@ -17,5 +17,5 @@
 }
 
-.cke_skin_v2 a.cke_toolbox_collapser, 
+.cke_skin_v2 a.cke_toolbox_collapser,
 .cke_skin_v2 a:hover.cke_toolbox_collapser
 {
@@ -31,5 +31,5 @@
 }
 
-.cke_skin_v2 .cke_rtl a.cke_toolbox_collapser, 
+.cke_skin_v2 .cke_rtl a.cke_toolbox_collapser,
 .cke_skin_v2 .cke_rtl a:hover.cke_toolbox_collapser
 {
@@ -37,5 +37,5 @@
 }
 
-.cke_skin_v2 a.cke_toolbox_collapser_min, 
+.cke_skin_v2 a.cke_toolbox_collapser_min,
 .cke_skin_v2 a:hover.cke_toolbox_collapser_min
 {
@@ -44,5 +44,5 @@
 }
 
-.cke_skin_v2 .cke_rtl a.cke_toolbox_collapser_min, 
+.cke_skin_v2 .cke_rtl a.cke_toolbox_collapser_min,
 .cke_skin_v2 .cke_rtl a:hover.cke_toolbox_collapser_min
 {
Index: CKEditor/trunk/_source/tests/core/dom/document.html
===================================================================
--- CKEditor/trunk/_source/tests/core/dom/document.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/core/dom/document.html	(revision 3477)
@@ -106,5 +106,5 @@
 				'Addressing target doesn\'t match.' );
 		},
-		
+
 		test_getElementsByTag : function()
 		{
Index: CKEditor/trunk/_source/tests/core/dom/element.html
===================================================================
--- CKEditor/trunk/_source/tests/core/dom/element.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/core/dom/element.html	(revision 3477)
@@ -401,7 +401,7 @@
 			assert.areEqual( null, element.getAttribute( 'tabindex' ) );
 		},
-		
+
 		/**
-		 *  Test getAttribute and getAttribute will ingore  '_cke_expando' attribute. 
+		 *  Test getAttribute and getAttribute will ingore  '_cke_expando' attribute.
 		 */
 		test_getAttribute_ignoreExpandoAttributes : function()
@@ -414,5 +414,5 @@
 			if( CKEDITOR.env.ie )
 				assert.areEqual( 'FLOAT: right', element.getAttribute( 'style' ) );
-			else 
+			else
 				assert.areEqual( 'float: right;', element.getAttribute( 'style' ) );
 			element.removeAttribute( 'style' );
Index: CKEditor/trunk/_source/tests/core/dom/range.html
===================================================================
--- CKEditor/trunk/_source/tests/core/dom/range.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/core/dom/range.html	(revision 3477)
@@ -1037,5 +1037,5 @@
 			assert.isFalse( range.collapsed, 'range.collapsed' );
 		},
-		
+
 		test_enlarge_block4 : function()
 		{
@@ -1734,5 +1734,5 @@
 			assert.isFalse( range.collapsed, 'range.collapsed' );
 		},
-		
+
 		test_checkStartOfBlock1 : function()
 		{
@@ -1745,5 +1745,5 @@
 			range.setStartAt( p, CKEDITOR.POSITION_AFTER_START );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkStartOfBlock() );
 		},
@@ -1759,5 +1759,5 @@
 			range.setStartAt( p, CKEDITOR.POSITION_BEFORE_END );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkStartOfBlock() );
 		},
@@ -1773,5 +1773,5 @@
 			range.setStartAt( p.getFirst(), CKEDITOR.POSITION_AFTER_START );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkStartOfBlock() );
 		},
@@ -1787,5 +1787,5 @@
 			range.setStartAt( p.getFirst(), CKEDITOR.POSITION_BEFORE_END );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkStartOfBlock() );
 		},
@@ -1803,5 +1803,5 @@
 			range.setStart( el, ( el.substring( 0, 1 ) == 'T' ) ? 0 : 1 );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkStartOfBlock() );
 		},
@@ -1817,5 +1817,5 @@
 			range.setStart( p.getFirst(), 5 );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkStartOfBlock() );
 		},
@@ -1829,5 +1829,5 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( el );
-			
+
 			assert.isTrue( range.checkStartOfBlock() );
 		},
@@ -1841,5 +1841,5 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( el );
-			
+
 			assert.isFalse( range.checkStartOfBlock() );
 		},
@@ -1855,5 +1855,5 @@
 			range.setStartAt( p, CKEDITOR.POSITION_AFTER_START );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkEndOfBlock() );
 		},
@@ -1869,5 +1869,5 @@
 			range.setStartAt( p, CKEDITOR.POSITION_BEFORE_END );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkEndOfBlock() );
 		},
@@ -1883,5 +1883,5 @@
 			range.setStartAt( p.getFirst(), CKEDITOR.POSITION_AFTER_START );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkEndOfBlock() );
 		},
@@ -1897,5 +1897,5 @@
 			range.setStartAt( p.getFirst(), CKEDITOR.POSITION_BEFORE_END );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkEndOfBlock() );
 		},
@@ -1911,5 +1911,5 @@
 			range.setStart( p.getFirst(), 1 );
 			range.collapse( true );
-			
+
 			assert.isFalse( range.checkEndOfBlock() );
 		},
@@ -1925,5 +1925,5 @@
 			range.setStart( p.getFirst(), 5 );
 			range.collapse( true );
-			
+
 			assert.isTrue( range.checkEndOfBlock() );
 		},
@@ -1937,5 +1937,5 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( el );
-			
+
 			assert.isTrue( range.checkEndOfBlock() );
 		},
@@ -1949,5 +1949,5 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( el );
-			
+
 			assert.isFalse( range.checkEndOfBlock() );
 		},
Index: CKEditor/trunk/_source/tests/core/dom/walker.html
===================================================================
--- CKEditor/trunk/_source/tests/core/dom/walker.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/core/dom/walker.html	(revision 3477)
@@ -19,9 +19,9 @@
 
 	var doc = new CKEDITOR.dom.document( document );
-	
+
 	function assertNodesList( wanted, nodes )
 	{
 		var simplifiedNodes = [];
-		
+
 		for ( var i = 0 ; i < nodes.length ; i++ )
 			simplifiedNodes.push( nodes[i].type == CKEDITOR.NODE_TEXT ? nodes[i].getText() : ( '<' + nodes[i].getName() + '>' ) );
@@ -41,7 +41,7 @@
 			range.setStartAt( node.getFirst(), CKEDITOR.POSITION_AFTER_START );
 			range.collapse( true );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-			
+
+			var walker = new CKEDITOR.dom.walker( range );
+
 			assert.isNull( walker.next() );
 		},
@@ -54,13 +54,10 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( node );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.next() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.next() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<p>', 'This is ', '<b>', 'a ', '<i>', 'simple', ' test' ], nodes );
@@ -75,13 +72,10 @@
 			range.setStartAt( node.getFirst(), CKEDITOR.POSITION_AFTER_START );
 			range.setEnd( node.getChild( [0,1,1,0] ), 2 );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.next() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.next() ) )
+				nodes.push( node );
 
 			assertNodesList( [ 'This is ', '<b>', 'a ', '<i>', 'si' ], nodes );
@@ -96,13 +90,10 @@
 			range.setStartAt( node.getChild( 1 ), CKEDITOR.POSITION_BEFORE_START );
 			range.setEndAt( node.getChild( 1 ), CKEDITOR.POSITION_AFTER_START );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.next() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.next() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<h1>' ], nodes );
@@ -117,13 +108,10 @@
 			range.setStartAt( node.getChild( 0 ), CKEDITOR.POSITION_BEFORE_END );
 			range.setEndAt( node.getChild( 0 ), CKEDITOR.POSITION_AFTER_END );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.next() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.next() ) )
+				nodes.push( node );
 
 			assertNodesList( [], nodes );
@@ -138,13 +126,10 @@
 			range.setStartAt( node.getChild( 0 ), CKEDITOR.POSITION_BEFORE_END );
 			range.setEndAt( node.getChild( 1 ), CKEDITOR.POSITION_AFTER_START );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.next() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.next() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<h1>' ], nodes );
@@ -158,13 +143,10 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( node );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.previous() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.previous() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<p>', ' test', '<b>', '<i>', 'simple', 'a ', 'This is ' ], nodes );
@@ -179,13 +161,10 @@
 			range.setEnd( node.getChild( [0,0] ), 2 );
 			range.setEnd( node.getChild( [0,1,1,0] ), 2 );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.previous() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.previous() ) )
+				nodes.push( node );
 
 			assertNodesList( [ 'si', 'a ', 'is is ' ], nodes );
@@ -200,13 +179,10 @@
 			range.setStartAt( node.getChild( 1 ), CKEDITOR.POSITION_BEFORE_START );
 			range.setEndAt( node.getChild( 1 ), CKEDITOR.POSITION_AFTER_START );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.previous() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.previous() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '' ], nodes );
@@ -221,13 +197,10 @@
 			range.setStartAt( node.getChild( 0 ), CKEDITOR.POSITION_BEFORE_END );
 			range.setEndAt( node.getChild( 0 ), CKEDITOR.POSITION_AFTER_END );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.previous() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.previous() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<p>' ], nodes );
@@ -242,13 +215,10 @@
 			range.setStartAt( node.getChild( 0 ), CKEDITOR.POSITION_BEFORE_END );
 			range.setEndAt( node.getChild( 1 ), CKEDITOR.POSITION_AFTER_START );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-
-			var nodes = [],
-				node;
-			while ( node = walker.previous() )
-			{
-				nodes.push( node );
-			}
+
+			var walker = new CKEDITOR.dom.walker( range );
+
+			var nodes = [];
+			while ( ( node = walker.previous() ) )
+				nodes.push( node );
 
 			assertNodesList( [ '<p>' ], nodes );
@@ -265,14 +235,16 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( node );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-			var nodes = [],
-				node;
-			walker.guard = function( node ){
+
+			var walker = new CKEDITOR.dom.walker( range );
+			var nodes = [];
+
+			walker.guard = function( node )
+			{
 				nodes.push( node );
 				return true;
 			};
-			while ( node = walker.next() )
-			{}
+
+			while ( ( node = walker.next() ) )
+			{ /*jsl:pass*/ }
 
 			assertNodesList( [ '<p>', 'This is ', '<b>', 'a ', '<i>', 'simple', '<i>', '<b>',' test' , '<p>' ], nodes );
@@ -289,14 +261,16 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( node );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-			var nodes = [],
-				node;
-			walker.guard = function( node ){
+
+			var walker = new CKEDITOR.dom.walker( range );
+			var nodes = [];
+
+			walker.guard = function( node )
+			{
 				nodes.push( node );
 				return true;
 			};
-			while ( node = walker.previous() )
-			{}
+
+			while ( ( node = walker.previous() ) )
+			{ /*jsl:pass*/ }
 
 			assertNodesList( [ '<p>', ' test', '<b>', '<i>', 'simple', '<i>', 'a ', '<b>', 'This is ', '<p>' ], nodes );
@@ -313,14 +287,16 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( node );
-			
-			var walker = new CKEDITOR.dom.walker( range );
-			var nodes = [],
-				node;
-			walker.evaluator = function( node ){
+
+			var walker = new CKEDITOR.dom.walker( range );
+			var nodes = [];
+
+			walker.evaluator = function( node )
+			{
 				nodes.push( node );
 				return true;
 			};
-			while ( node = walker.previous() )
-			{}
+
+			while ( ( node = walker.previous() ) )
+			{ /*jsl:pass*/ }
 
 			assertNodesList( [ '<p>', ' test', '<b>', '<i>', 'simple', 'a ', 'This is ' ], nodes );
Index: CKEditor/trunk/_source/tests/core/htmlparser/fragment.html
===================================================================
--- CKEditor/trunk/_source/tests/core/htmlparser/fragment.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/core/htmlparser/fragment.html	(revision 3477)
@@ -94,7 +94,7 @@
 						'<p>text</p>' );
 		},
-		
+
 		/**
-		 *  Test remove multiple empty inline elements. 
+		 *  Test remove multiple empty inline elements.
 		 */
 		test_parser_8_2 : function()
@@ -118,5 +118,5 @@
 						'<table><tbody><tr><td>A</td></tr></tbody></table>' );
 		},
-		
+
 		/**
 		 *  Test fixing paragraph inside table row.
@@ -127,5 +127,5 @@
 						'<p>2</p><table><tr><td>1</td><td>3</td></tr></table>' );
 		},
-		
+
 		/**
 		 *  Test fixing paragraph inside list.
@@ -145,5 +145,5 @@
 						'<p>1</p><div>2</div><p><span>3</span></p>' );
 		},
-		
+
 		name : document.title
 	};
Index: CKEditor/trunk/_source/tests/plugins/domiterator/domiterator.html
===================================================================
--- CKEditor/trunk/_source/tests/plugins/domiterator/domiterator.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/plugins/domiterator/domiterator.html	(revision 3477)
@@ -19,5 +19,5 @@
  * IE always returning CRLF for linefeed, so remove it when retrieve pre-formated text from text area.
  * @param {Object} id
- */	
+ */
 function getTextAreaValue( id )
 {
@@ -27,9 +27,9 @@
 CKEDITOR.test.addTestCase( (function()
 {
-	
+
 	// Local references.
 	var assert = CKEDITOR.test.assert,
 		arrayAssert = YAHOO.util.ArrayAssert;
-	
+
 	var doc = new CKEDITOR.dom.document( document );
 
@@ -61,5 +61,5 @@
 		assert.areSame( getTextAreaValue( textareaId ) , html );
 	}
-	
+
 	function assumeElementAreSame( element, textareaId )
 	{
@@ -70,7 +70,7 @@
 		assert.areSame( getTextAreaValue( textareaId ) , html );
 	}
-	
+
 	/**
-	 * 
+	 *
 	 * @param {String|CKEDITOR.dom.range} containerId|range Either the id of html container which contents are treated as range, or a exisiting range object.
 	 * @param {Object} iteratorOption
@@ -87,9 +87,9 @@
 		else
 			range = containerIdOrRange;
-			
+
 		var iter = range.createIterator();
 		CKEDITOR.tools.extend( iter, iteratorOption, true );
 		var blockList = [], block;
-		while (( block = iter.getNextParagraph() ) ) 
+		while (( block = iter.getNextParagraph() ) )
 		{
 			blockList.push( block.getName() );
@@ -97,7 +97,7 @@
 		arrayAssert.itemsAreEqual( expectedTagList, blockList );
 	}
-	
+
 	return {
-		
+
 		/**
 		 * Test iterating over table cells.
@@ -197,8 +197,8 @@
 			head1</th>
 	</tr>
-	<tr>	
+	<tr>
 		<td><p>cell1</p></td>
 	</tr>
-	<tr>	
+	<tr>
 		<td id="iterTarget2b">cell2</td>
 	</tr>
@@ -211,7 +211,7 @@
 	<li>
 		<ul><li>item3</li></ul>
-		<ul><li><p>item5</p></li></ul>		
+		<ul><li><p>item5</p></li></ul>
 	</li>
-	<li id="iterTarget3b">item5</li>	
+	<li id="iterTarget3b">item5</li>
 	</ul></div>
 <textarea id="iterResult3"><ul><li id="iterTarget3a">item1</li><li><p>item2</p></li><li><ul><li>item3</li></ul><ul><li><p>item5</p></li></ul></li><li id="iterTarget3b">item5</li></ul></textarea>
Index: CKEditor/trunk/_source/tests/plugins/list/list.html
===================================================================
--- CKEditor/trunk/_source/tests/plugins/list/list.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/plugins/list/list.html	(revision 3477)
@@ -21,7 +21,7 @@
 		function( evt )
 		{
-			var isMe = mode == CKEDITOR.ELEMENT_MODE_REPLACE ? 
+			var isMe = mode == CKEDITOR.ELEMENT_MODE_REPLACE ?
 				evt.editor.name == elementId
-				: evt.editor.element.$ == 
+				: evt.editor.element.$ ==
 					document.getElementById( elementId );
 			if ( isMe )
@@ -54,7 +54,7 @@
 CKEDITOR.test.addTestCase( ( function()
 	{
-		
+
 		// Local references.
-		var assert = CKEDITOR.test.assert, 
+		var assert = CKEDITOR.test.assert,
 			doc = CKEDITOR.document,
 			action = YAHOO.util.UserAction,
@@ -65,13 +65,13 @@
 		 * @param {Object} range
 		 * @param {Array} startPosition range start path including offset
-		 * @param {Array|Boolean} endPositoin range end path including offset or is collapsed 
+		 * @param {Array|Boolean} endPositoin range end path including offset or is collapsed
 		 */
 		function setRange( range, startPosition, endPositoin )
 		{
 			var bm = {
-				end : null, 
-				start : null, 
-				is2: true, 
-				startOffset : 0, 
+				end : null,
+				start : null,
+				is2: true,
+				startOffset : 0,
 				endoffset : 0
 			};
@@ -92,12 +92,12 @@
 
 		return	{
-			
+
 			/**
-			 *  Test remove numbered list with 'enterMode = BR'. 
+			 *  Test remove numbered list with 'enterMode = BR'.
 			 */
 			test_ticket_3151 : function()
 			{
-				prepareEditor( 'test_ticket_3151_editor', null, 
-					{ enterMode : CKEDITOR.ENTER_BR }, 
+				prepareEditor( 'test_ticket_3151_editor', null,
+					{ enterMode : CKEDITOR.ENTER_BR },
 					function( editor )
 					{
@@ -105,27 +105,27 @@
 						{
 							editor.focus();
-							
+
 							// Force result data unformatted.
 							editor.dataProcessor.writer._.rules = {};
-							
-							var doc = editor.document, 
+
+							var doc = editor.document,
 								range = new CKEDITOR.dom.range( doc );
-							
+
 							setRange( range, [ 1, 0, 0, 0, 0 ], true );
 							var sel = editor.getSelection();
 							sel.selectRanges( [ range ] );
-							
+
 							// Waiting for 'comand state' effected.
 							this.wait( function(){
 								// Remove list.
 								editor.execCommand( 'numberedlist' );
-								assert.areSame( getTextAreaValue( 'test_ticket_3151_resultContent' ), 
-									editor.getData(), 
+								assert.areSame( getTextAreaValue( 'test_ticket_3151_resultContent' ),
+									editor.getData(),
 									'Remove list result not correct.' );
 							}, 1000);
-							
+
 						} );
 					}, this );
-					this.wait();	
+					this.wait();
 			},
 
@@ -163,7 +163,7 @@
 		function( evt )
 		{
-			var isMe = mode == CKEDITOR.ELEMENT_MODE_REPLACE ? 
+			var isMe = mode == CKEDITOR.ELEMENT_MODE_REPLACE ?
 				evt.editor.name == elementId
-				: evt.editor.element.$ == 
+				: evt.editor.element.$ ==
 					document.getElementById( elementId );
 			if ( isMe )
@@ -196,7 +196,7 @@
 CKEDITOR.test.addTestCase( ( function()
 	{
-		
+
 		// Local references.
-		var assert = CKEDITOR.test.assert, 
+		var assert = CKEDITOR.test.assert,
 			doc = CKEDITOR.document,
 			action = YAHOO.util.UserAction,
@@ -207,13 +207,13 @@
 		 * @param {Object} range
 		 * @param {Array} startPosition range start path including offset
-		 * @param {Array|Boolean} endPositoin range end path including offset or is collapsed 
+		 * @param {Array|Boolean} endPositoin range end path including offset or is collapsed
 		 */
 		function setRange( range, startPosition, endPositoin )
 		{
 			var bm = {
-				end : null, 
-				start : null, 
-				is2: true, 
-				startOffset : 0, 
+				end : null,
+				start : null,
+				is2: true,
+				startOffset : 0,
 				endoffset : 0
 			};
@@ -234,12 +234,12 @@
 
 		return	{
-			
+
 			/**
-			 *  Test remove numbered list with 'enterMode = BR'. 
+			 *  Test remove numbered list with 'enterMode = BR'.
 			 */
 			test_ticket_3151 : function()
 			{
-				prepareEditor( 'test_ticket_3151_editor', null, 
-					{ enterMode : CKEDITOR.ENTER_BR }, 
+				prepareEditor( 'test_ticket_3151_editor', null,
+					{ enterMode : CKEDITOR.ENTER_BR },
 					function( editor )
 					{
@@ -247,27 +247,27 @@
 						{
 							editor.focus();
-							
+
 							// Force result data unformatted.
 							editor.dataProcessor.writer._.rules = {};
-							
-							var doc = editor.document, 
+
+							var doc = editor.document,
 								range = new CKEDITOR.dom.range( doc );
-							
+
 							setRange( range, [ 1, 0, 0, 0, 0 ], true );
 							var sel = editor.getSelection();
 							sel.selectRanges( [ range ] );
-							
+
 							// Waiting for 'comand state' effected.
 							this.wait( function(){
 								// Remove list.
 								editor.execCommand( 'numberedlist' );
-								assert.areSame( getTextAreaValue( 'test_ticket_3151_resultContent' ), 
-									editor.getData(), 
+								assert.areSame( getTextAreaValue( 'test_ticket_3151_resultContent' ),
+									editor.getData(),
 									'Remove list result not correct.' );
 							}, 1000);
-							
+
 						} );
 					}, this );
-					this.wait();	
+					this.wait();
 			},
 
Index: CKEditor/trunk/_source/tests/plugins/selection/selection.html
===================================================================
--- CKEditor/trunk/_source/tests/plugins/selection/selection.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/plugins/selection/selection.html	(revision 3477)
Index: CKEditor/trunk/_source/tests/plugins/styles/styles.html
===================================================================
--- CKEditor/trunk/_source/tests/plugins/styles/styles.html	(revision 3476)
+++ CKEditor/trunk/_source/tests/plugins/styles/styles.html	(revision 3477)
@@ -428,6 +428,6 @@
 			var range = new CKEDITOR.dom.range( doc );
 			range.selectNodeContents( element );
-			
-			var styleDef = 
+
+			var styleDef =
 			{
 				element		: 'span',
Index: CKEditor/trunk/_source/themes/default/theme.js
===================================================================
--- CKEditor/trunk/_source/themes/default/theme.js	(revision 3476)
+++ CKEditor/trunk/_source/themes/default/theme.js	(revision 3477)
@@ -179,5 +179,5 @@
 	// If we're setting the content area's height, then we don't need the delta.
 	var delta = isContentHeight ? 0 : ( outer.$.offsetHeight || 0 ) - ( contents.$.clientHeight || 0 );
-	
+
 	// Resize the height.
 	contents.setStyle( 'height', ( height - delta ) + 'px' );
Index: CKEditor/trunk/contents.css
===================================================================
--- CKEditor/trunk/contents.css	(revision 3476)
+++ CKEditor/trunk/contents.css	(revision 3477)
@@ -22,3 +22,2 @@
 	height : 24px;
 }
-
